- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# readlink_args Struct Reference

`#include <sysproto.h>`

## Data Fields
char * | buf
char | buf_l_ [0]
char | buf_r_ [(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]
int | count
char | count_l_ [0]
char | count_r_ [(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]
char * | path
char | path_l_ [0]
char | path_r_ [(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]

## Detailed Description

Definition at line 95 of file sysproto.h.

## Field Documentation

char* readlink_args::buf

Definition at line 97 of file sysproto.h.

char readlink_args::buf_l_[0]

Definition at line 97 of file sysproto.h.

char readlink_args::buf_r_[(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]

Definition at line 97 of file sysproto.h.

int readlink_args::count

Definition at line 98 of file sysproto.h.

Referenced by readlink().

char readlink_args::count_l_[0]

Definition at line 98 of file sysproto.h.

char readlink_args::count_r_[(sizeof(register_t)<=sizeof(int)?0:sizeof(register_t)-sizeof(int))]

Definition at line 98 of file sysproto.h.

char* readlink_args::path

Definition at line 96 of file sysproto.h.

Referenced by readlink().

char readlink_args::path_l_[0]

Definition at line 96 of file sysproto.h.

char readlink_args::path_r_[(sizeof(register_t)<=sizeof(char *)?0:sizeof(register_t)-sizeof(char *))]

Definition at line 96 of file sysproto.h.

The documentation for this struct was generated from the following file:

- src/sys/include/sys/sysproto.h